<div class="resultsContainer" *ngIf="results$ | async as projectParameterRes">
  <!-- Simulation -->
  <mat-card class="resultsMatCard">
    <mat-card-title class="resultsMatCardTitle">
      <!-- <energy-platform-flower-icons
        name="resultSimulationIcon"
        class="icon-size-xs icon-black iconTitle"
      ></energy-platform-flower-icons> -->
      <span class="spanTitle">
        {{ 'result.simulation' | translate }}
      </span>
    </mat-card-title>
    <mat-card-content class="appMatCardContent">
      <div *ngIf="project$ | async" class="option_wrapper">
        <p class="option_title">
          {{ 'result.showResults' | translate }}
        </p>
        <div class="option_content_wrapper width90p" fxLayout.lt-md="column">
          <div class="simulationResultGraph">
            <h2 class="title">
              {{ 'result.constructionCosts' | translate }}
            </h2>
            <plotly-plot
              [data]="economicsData"
              [config]="economicsConfig"
              [layout]="economicsLayout"
              [style]="{ width: '100%', height: '100%', position: 'relative' }"
              [useResizeHandler]="true"
            >
            </plotly-plot>
          </div>
          <div class="simulationResultGraph">
            <h2 class="title">
              {{ 'result.net_annual_energy_production' | translate }}
            </h2>
            <plotly-plot
              [data]="energyProductionData"
              [config]="energyProductionConfig"
              [layout]="energyProductionLayout"
              [style]="{ width: '100%', height: '100%', position: 'relative' }"
              [useResizeHandler]="true"
            >
            </plotly-plot>
          </div>
        </div>
        <div
          class="option_content_wrapper simulation-table-wrapper width90p"
          fxLayout.lt-md="column"
          style="
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            margin-top: 5rem;
          "
        >
          <h2 class="title">{{ 'result.economicsData' | translate }}</h2>
          <energy-platform-simulation-results-table
            [results]="projectParameterRes"
            style="width: 70%"
          >
          </energy-platform-simulation-results-table>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
  <br />

  <!-- SensitivityAnalysis -->
  <mat-card class="resultsMatCard">
    <mat-card-title class="resultsMatCardTitle">
      <!--  <energy-platform-flower-icons
        name="resultSensitivityIcon"
        class="icon-black icon-size-xs iconTitle"
      ></energy-platform-flower-icons> -->
      <span class="spanTitle">
        {{ 'result.sensitivityAnalysis' | translate }}
      </span>
    </mat-card-title>
    <mat-card-content class="appMatCardContent">
      <div *ngIf="project$" class="option_wrapper">
        <div>
          <p class="option_title">
            {{ 'result.showResults' | translate }}
          </p>
        </div>
        <div
          class="width90p"
          style="position: relative; display: flex; align-items: center"
        >
          <div class="sensitivity-boxplots-wrapper">
            <div *ngFor="let typeBoxplot of BoxplotTypeEnum | keyvalue">
              <energy-platform-boxplot-results
                class="sensitivity-boxplots"
                [targetFigure]="typeBoxplot.value"
                [targetFigureTranslated]="
                  'result.' + typeBoxplot.value | translate
                "
                [results]="projectParameterRes"
              ></energy-platform-boxplot-results>
            </div>
          </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
  <br />

  <!-- Optimization Layout-->
  <mat-card class="resultsMatCard">
    <mat-card-title class="resultsMatCardTitle">
      <!-- <energy-platform-flower-icons
        name="resultOptimizationsSimulationIcon"
        class="icon-black icon-size-xs iconTitle"
      >
      </energy-platform-flower-icons> -->
      <span class="spanTitle">
        {{ 'result.optimization' | translate }}
      </span>
    </mat-card-title>
    <mat-card-content class="appMatCardContent">
      <div *ngIf="project$" class="option_wrapper">
        <p class="option_title">
          {{ 'result.showResults' | translate }}
        </p>
        <div
          class="width90p"
          style="
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-around;
          "
        >
          <div
            class="option_content_wrapper"
            fxLayout.lt-lg="column"
            fxLayoutAlign="space-between"
            fxLayoutGap="20px"
          >
            <div
              class="result-leafletMap"
              fxFlex="50%"
              *ngIf="leafletOptions && leafletLayers && mapCenter"
            >
              <div>
                <p style="font-weight: bolder">
                  {{ 'result.optimisedPositions' | translate }}
                </p>
              </div>
              <div
                leaflet
                [leafletOptions]="leafletOptions"
                [leafletLayers]="leafletLayers"
                [leafletCenter]="mapCenter"
                style="height: 400px; width: 400px"
              ></div>
            </div>
            <div class="result-barchart" fxFlex="50%">
              <div>
                <p style="font-weight: bolder">
                  {{ 'result.barChart' | translate }}
                </p>
              </div>

              <energy-platform-bar-chart
                *ngIf="optimizationBarData"
                yAxisLabel="{{ 'result.barChartYAxis' | translate }}"
                [values]="optimizationBarData"
              >
              </energy-platform-bar-chart>
            </div>
          </div>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
  <br />

  <!-- 3D Print -->
  <div>
    <mat-card class="resultsMatCard">
      <mat-card-title class="resultsMatCardTitle">
        <!-- <energy-platform-flower-icons
          name="result3DIcon"
          class="icon-black icon-size-xs iconTitle"
        ></energy-platform-flower-icons> -->
        <span class="spanTitle"> {{ 'result.3DPrint' | translate }} </span>
      </mat-card-title>
      <mat-card-content class="appMatCardContent">
        <div *ngIf="project$" class="option_wrapper">
          <div class="content">
            <div fxLayout="row" fxLayoutGap="10px">
              <button
                class="buttonGoToDownload"
                mat-raised-button
                color="primary"
                (click)="download3DPrint()"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="downloadIcon"
                    class="icon-white icon-size-xxs buttonAlignMiddle"
                  >
                  </energy-platform-flower-icons> -->
                  {{ 'result.3dSTLFileDownload' | translate }}
                </span>
              </button>
            </div>
          </div>
          <div
            class="option_content_wrapper"
            fxLayout.lt-md="column"
            fxLayoutAlign="space-between"
          >
            <!-- Here the 3D model should be implemented -->
            <div class="content">
              <div class="buttonsAlignment3D">
                <!-- <stl-model-viewer [stlModels]="['../assets/peter.stl']"></stl-model-viewer> -->
                <div class="freeSpace_placeholder">
                  <span style="position: relative; top: 47%"
                    >Coming soon: 3D model</span
                  >
                </div>
              </div>
            </div>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  <br />
  <!-- Parameter Settings of the Wind Farm -->
  <div #download>
    <mat-card class="resultsMatCard">
      <mat-card-title class="resultsMatCardTitle">
        <!-- <energy-platform-flower-icons
          name="projectParameterViewIcon"
          class="icon-black icon-size-xs iconTitle"
        >
        </energy-platform-flower-icons> -->
        <span class="spanTitle">
          {{ 'result.parametersWindFlower' | translate }}</span
        >
      </mat-card-title>
      <mat-card-content class="appMatCardContent">
        <div *ngIf="project$" class="option_wrapper">
          <div class="option_title">
            {{ 'result.downloadParameters' | translate }}:
            <div [innerHTML]="nameOfProject" style="font-weight: 600"></div>
          </div>
          <div class="width90p">
            <div class="buttonDiv centerDiv">
              <button
                class="buttonParameters"
                mat-raised-button
                color="primary"
                (click)="downloadParametersAsZip()"
              >
                <span class="buttonAlignMiddle">
                  <!-- <energy-platform-flower-icons
                    name="downloadIcon"
                    class="icon-white icon-size-xxs buttonAlignMiddle"
                  >
                  </energy-platform-flower-icons> -->
                  {{ 'result.downloadData' | translate }}
                </span>
              </button>
            </div>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  <br />
</div>
